Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154649 - Missing build requirements for flac
Summary: Missing build requirements for flac
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: flac
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 10:48 UTC by Matthias Saou
Modified: 2013-03-13 04:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-22 04:52:23 UTC


Attachments (Terms of Use)

Description Matthias Saou 2005-04-13 10:48:40 UTC
Description of problem:
Rebuild of source rpm fails because of missing build requirements.

Version-Release number of selected component (if applicable):
1.1.2-24

Actual results:
configure.in:31: error: possibly undefined macro: AM_PROG_LIBTOOL
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.in:156: error: possibly undefined macro: AM_ICONV
configure.in:157: error: possibly undefined macro: AM_LANGINFO_CODESET
autoreconf: /usr/bin/autoconf failed with exit status: 1

Additional info:
Adding "libtool" and "gettext-devel" to the build requirements fixes this.

(additional note : the xmmsinputdir define at the top of the file could be
removed, as it's not used anymore since the noxmms patch got added)


Note You need to log in before you can comment on or make changes to this bug.